-- Arma_Generals
-- Author: Armakoir
-- DateCreated: 11/2/2017 10:09:40 PM
--------------------------------------------------------------

UPDATE RequirementSetRequirements SET RequirementId='AOE_REQUIRES_ANCIENT_UNIT' WHERE RequirementSetId='AOE_CLASSICAL_REQUIREMENTS' AND RequirementId='AOE_REQUIRES_MEDIEVAL_UNIT';
UPDATE RequirementSetRequirements SET RequirementId='AOE_REQUIRES_ANCIENT_UNIT' WHERE RequirementSetId='AOE_MEDIEVAL_REQUIREMENTS' AND RequirementId='AOE_REQUIRES_RENAISSANCE_UNIT';
UPDATE RequirementSetRequirements SET RequirementId='AOE_REQUIRES_ANCIENT_UNIT' WHERE RequirementSetId='AOE_RENAISSANCE_REQUIREMENTS' AND RequirementId='AOE_REQUIRES_INDUSTRIAL_UNIT';
UPDATE RequirementSetRequirements SET RequirementId='AOE_REQUIRES_ANCIENT_UNIT' WHERE RequirementSetId='AOE_INDUSTRIAL_REQUIREMENTS' AND RequirementId='AOE_REQUIRES_MODERN_UNIT';
UPDATE RequirementSetRequirements SET RequirementId='AOE_REQUIRES_ANCIENT_UNIT' WHERE RequirementSetId='AOE_MODERN_REQUIREMENTS' AND RequirementId='AOE_REQUIRES_ATOMIC_UNIT';
UPDATE RequirementSetRequirements SET RequirementId='AOE_REQUIRES_ANCIENT_UNIT' WHERE RequirementSetId='AOE_ATOMIC_REQUIREMENTS' AND RequirementId='AOE_REQUIRES_INFORMATION_UNIT';

INSERT INTO RequirementSetRequirements 
	(RequirementSetId, RequirementId)
VALUES
	('AOE_MEDIEVAL_REQUIREMENTS', 'AOE_REQUIRES_CLASSICAL_UNIT'),
	('AOE_RENAISSANCE_REQUIREMENTS', 'AOE_REQUIRES_CLASSICAL_UNIT'),
	('AOE_RENAISSANCE_REQUIREMENTS', 'AOE_REQUIRES_MEDIEVAL_UNIT'),
	('AOE_INDUSTRIAL_REQUIREMENTS', 'AOE_REQUIRES_CLASSICAL_UNIT'),
	('AOE_INDUSTRIAL_REQUIREMENTS', 'AOE_REQUIRES_MEDIEVAL_UNIT'),
	('AOE_INDUSTRIAL_REQUIREMENTS', 'AOE_REQUIRES_RENAISSANCE_UNIT'),

	('AOE_MODERN_REQUIREMENTS', 'AOE_REQUIRES_CLASSICAL_UNIT'),
	('AOE_MODERN_REQUIREMENTS', 'AOE_REQUIRES_MEDIEVAL_UNIT'),
	('AOE_MODERN_REQUIREMENTS', 'AOE_REQUIRES_RENAISSANCE_UNIT'),
	('AOE_MODERN_REQUIREMENTS', 'AOE_REQUIRES_INDUSTRIAL_UNIT'),

	('AOE_ATOMIC_REQUIREMENTS', 'AOE_REQUIRES_CLASSICAL_UNIT'),
	('AOE_ATOMIC_REQUIREMENTS', 'AOE_REQUIRES_MEDIEVAL_UNIT'),
	('AOE_ATOMIC_REQUIREMENTS', 'AOE_REQUIRES_RENAISSANCE_UNIT'),
	('AOE_ATOMIC_REQUIREMENTS', 'AOE_REQUIRES_INDUSTRIAL_UNIT'),
	('AOE_ATOMIC_REQUIREMENTS', 'AOE_REQUIRES_MODERN_UNIT'),

	('AOE_INFORMATION_REQUIREMENTS', 'AOE_REQUIRES_ANCIENT_UNIT'),
	('AOE_INFORMATION_REQUIREMENTS', 'AOE_REQUIRES_CLASSICAL_UNIT'),
	('AOE_INFORMATION_REQUIREMENTS', 'AOE_REQUIRES_MEDIEVAL_UNIT'),
	('AOE_INFORMATION_REQUIREMENTS', 'AOE_REQUIRES_RENAISSANCE_UNIT'),
	('AOE_INFORMATION_REQUIREMENTS', 'AOE_REQUIRES_INDUSTRIAL_UNIT'),
	('AOE_INFORMATION_REQUIREMENTS', 'AOE_REQUIRES_MODERN_UNIT'),
	('AOE_INFORMATION_REQUIREMENTS', 'AOE_REQUIRES_ATOMIC_UNIT');

INSERT INTO Requirements
	(RequirementId, RequirementType)
VALUES
	('AOE_REQUIRES_ANCIENT_UNIT', 'REQUIREMENT_UNIT_ERA_TYPE_MATCHES'),
	('AOE_REQUIRES_ANCIENT_REQUIREMENTS', 'REQUIREMENT_REQUIREMENTSET_IS_MET');


INSERT INTO RequirementArguments
	(RequirementId, Name, Value)
VALUES
	('AOE_REQUIRES_ANCIENT_UNIT', 'EraType', 'ERA_ANCIENT'),
	('AOE_REQUIRES_ANCIENT_REQUIREMENTS', 'RequirementSetId', 'AOE_ANCIENT_REQUIREMENTS');
