-- z_Paratrooper
-- Author: Armakoir
-- DateCreated: 12/2/2017 5:17:34 PM
--------------------------------------------------------------

INSERT INTO Types (Type, Kind) VALUES ('ABILITY_PARATROOPER_JUMP','KIND_ABILITY');
INSERT INTO Tags (Tag, Vocabulary) VALUES ('CLASS_PARATROOPER','ABILITY_CLASS');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_PARATROOPER_JUMP','CLASS_PARATROOPER');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description) VALUES ('ABILITY_PARATROOPER_JUMP','LOC_ABILITY_PARATROOPER_JUMP_NAME','LOC_ABILITY_PARATROOPER_JUMP_DESCRIPTION');

INSERT INTO UnitAbilityModifiers 
		(UnitAbilityType, ModifierId) 
VALUES 
		('ABILITY_PARATROOPER_JUMP','PARA_IGNORE_ZOC'),
		('ABILITY_PARATROOPER_JUMP','PARA_IGNORE_FOREST'),
		('ABILITY_PARATROOPER_JUMP','PARA_IGNORE_JUNGLE'),
		('ABILITY_PARATROOPER_JUMP','PARA_IGNORE_HILLS'),
		('ABILITY_PARATROOPER_JUMP','PARA_IGNORE_RIVERS'),
		('ABILITY_PARATROOPER_JUMP','PARA_IGNORE_SHORES'),
		('ABILITY_PARATROOPER_JUMP','PARA_IGNORE_CLIFFS'),
		--('ABILITY_PARATROOPER_JUMP','PARA_BYPASS_COMBAT_UNIT'),	
		('ABILITY_PARATROOPER_JUMP','PARA_INITIAL_MOVEMENT');--UNIT_STRONG_WHEN_ATTACKING

		
INSERT INTO Modifiers
		(ModifierId, ModifierType, SubjectRequirementSetId)
VALUES
		('PARA_IGNORE_ZOC','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_ZOC','PARATROOPER_JUMP_REQUIREMENTS'),
		('PARA_IGNORE_FOREST','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST','PARATROOPER_JUMP_REQUIREMENTS'),
		('PARA_IGNORE_JUNGLE','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST','PARATROOPER_JUMP_REQUIREMENTS'),
		('PARA_IGNORE_HILLS','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST','PARATROOPER_JUMP_REQUIREMENTS'),
		('PARA_IGNORE_RIVERS','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_RIVERS','PARATROOPER_JUMP_REQUIREMENTS'),
		('PARA_IGNORE_SHORES','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_SHORES','PARATROOPER_JUMP_REQUIREMENTS'),
		('PARA_IGNORE_CLIFFS','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_CLIFF_WALLS','PARATROOPER_JUMP_REQUIREMENTS'),
		--('PARA_BYPASS_COMBAT_UNIT','MODIFIER_PLAYER_UNIT_ADJUST_BYPASS_COMBAT_UNIT','PARATROOPER_JUMP_REQUIREMENTS'),
		('PARA_INITIAL_MOVEMENT','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','PARATROOPER_JUMP_REQUIREMENTS');

INSERT INTO ModifierArguments
		(ModifierId, Name, Value)
VALUES
		('PARA_IGNORE_ZOC',						'Ignore','1'),
		('PARA_IGNORE_FOREST',					'Ignore','1'),
		('PARA_IGNORE_FOREST',					'Type','FOREST'),
		('PARA_IGNORE_JUNGLE',					'Ignore','1'),
		('PARA_IGNORE_JUNGLE',					'Type','JUNGLE'),
		('PARA_IGNORE_HILLS',					'Ignore','1'),
		('PARA_IGNORE_HILLS',					'Type','HILLS'),
		('PARA_IGNORE_RIVERS',					'Ignore','1'),
		('PARA_IGNORE_SHORES',					'Ignore','1'),
		('PARA_IGNORE_CLIFFS',					'Ignore','1'),
		--('PARA_BYPASS_COMBAT_UNIT',				'Enable','1'),
		('PARA_INITIAL_MOVEMENT',				'Amount','15');


INSERT INTO RequirementSets
		(RequirementSetId, RequirementSetType)
VALUES
		('PARATROOPER_JUMP_REQUIREMENTS','REQUIREMENTSET_TEST_ALL');


INSERT INTO RequirementSetRequirements
		(RequirementSetId, RequirementId)
VALUES
		--('PARATROOPER_JUMP_REQUIREMENTS','PARA_ON_FRIENDLY_REQUIREMENT');
		('PARATROOPER_JUMP_REQUIREMENTS','PARA_ON_AERODROME_REQUIREMENT');
		

INSERT INTO Requirements
		(RequirementId, RequirementType)
VALUES
		--('PARA_ON_FRIENDLY_REQUIREMENT','REQUIREMENT_UNIT_IN_OWNER_TERRITORY');
		('PARA_ON_AERODROME_REQUIREMENT','REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES');
		--REQUIREMENT_PLOT_ADJACENT_DISTRICT_TYPE_MATCHES
		--REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES

INSERT INTO RequirementArguments
		(RequirementId, Name, Value)
VALUES
		('PARA_ON_AERODROME_REQUIREMENT', 'DistrictType', 'DISTRICT_CITY_CENTER');


INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SCOUT','CLASS_PARATROOPER');
UPDATE Units SET IgnoreMoves = '1', Range = '10' WHERE UnitType = 'UNIT_SCOUT';
		